Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003163TestLinkCustom fieldspublic2010-02-13 02:562013-05-20 19:44
ReporterEnock 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0003163: Custom field are showed as timestamp
DescriptionCustom field, only date type, as showed as timestamp in report:

"Test reports and Metrics" -> "Test Cases with Custom Fields info"

In my TestLink 1.8.3 I changed the archive lib/results/testCasesWithCF.php. The changes was

1. comment the line: $result[$exec_id]['cfields'][$cfield_data['name']]=$cfield_data['value'];

2. put the line: $result[$exec_id]['cfields'][$cfield_data['name']]=date("d/m/Y G:i:s", $cfield_data['value']);

I have helped!

Tks,

       Enock
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0009003)
fman (administrator)
2010-02-13 17:27

Thanks, anyway fix formatting can not be used due to difference data representation on different countries.
May be is enough use of configured locales
(0009069)
Enock (reporter)
2010-02-18 18:29

Hi Fman,

My locale is:

LANG=pt_BR.UTF-8
LANGUAGE=pt_BR:pt:en
LC_CTYPE="pt_BR.UTF-8"
LC_NUMERIC="pt_BR.UTF-8"
LC_TIME="pt_BR.UTF-8"
LC_COLLATE="pt_BR.UTF-8"
LC_MONETARY="pt_BR.UTF-8"
LC_MESSAGES="pt_BR.UTF-8"
LC_PAPER="pt_BR.UTF-8"
LC_NAME="pt_BR.UTF-8"
LC_ADDRESS="pt_BR.UTF-8"
LC_TELEPHONE="pt_BR.UTF-8"
LC_MEASUREMENT="pt_BR.UTF-8"
LC_IDENTIFICATION="pt_BR.UTF-8"
LC_ALL=

The error happens because the TestLink application record date custom field as timestamp. When the TestLink get from the data base this custom field in "Test Cases with Custom Fields info" report, the date custom fild isn't converted in date field (as in others reports) thus is showed on web interface a timestamp from database. Because of this isn't possible that locale configuration cause this problem.

If you need I can send you printscreen ok?

Tks,

        Enock

- Issue History
Date Modified Username Field Change
2010-02-13 02:56 Enock New Issue
2010-02-13 17:27 fman Note Added: 0009003
2010-02-18 18:29 Enock Note Added: 0009069
2013-05-20 19:44 fman QA Team - Task Workflow Status => READY FOR TESTING
2013-05-20 19:44 fman Status new => closed
2013-05-20 19:44 fman Assigned To => fman
2013-05-20 19:44 fman Resolution open => fixed
2013-05-20 19:44 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker